Package org.eclipse.mat.query

# Interface IResultPie

All Superinterfaces:
  `IResult`

public interface IResultPie extends IResult
Results as pie chart data.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IResultPie.ColoredSlice`
A slice of the pie with color information
`static interface`
`IResultPie.Slice`
A slice of the pie.

## Method Summary

Modifier and Type
Method
Description
`List<? extends IResultPie.Slice>`
`getSlices()`
All the slices of the pie.

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

## Method Details

### getSlices

List<? extends IResultPie.Slice> getSlices()
All the slices of the pie.

Returns:
  a list of slices